### Method

# Goa Object get_exchange

since: 3.6.0

#### Declaration [src]

    GoaExchange*
    goa_object_get_exchange (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaExchange` instance for the D-Bus interface org.gnome.OnlineAccounts.Exchange on `object`, if any.

Available since: 3.6.0

Gets property | `Goa.Object:exchange`

#### Return value

Type: `GoaExchange`

A `GoaExchange` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.